package patient_data

import "context"

type Repository interface {
	Create(ctx context.Context, row *PatientData) error
	Update(ctx context.Context, row *PatientData) error
	Delete(ctx context.Context, id []byte, deletedBy []byte) error
	GetByID(ctx context.Context, id []byte) (*PatientData, error)
	List(ctx context.Context, filter, sort string, limit, offset int) ([]PatientData, int64, error)
}
